/services/platforms/v1/billing/summary
Auth
Get billing summary for projects owned by the authenticated user Returns aggregated data and only expired/near-expired/failed subscriptions
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
data |
object | |
data.total_projects |
integer | |
data.total_active_subscriptions |
integer | |
data.total_invoices |
integer | |
data.projects_with_subscriptions |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/platforms/v1/billing/summary" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
fetch('https://api.wemasy.nl/api/services/platforms/v1/billing/summary', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json' }})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/platforms/v1/billing/summary');
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
r = requests.post("https://api.wemasy.nl/api/services/platforms/v1/billing/summary", headers=headers)
print(r.json())
{
"error": false,
"data": {
"total_projects": 0,
"total_active_subscriptions": 0,
"total_invoices": 0,
"projects_with_subscriptions": []
}
}